package com.diagbot.facade;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.dto.ConceptIntroduceDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.ConceptIntroduceVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description:提示信息业务层
 * @Author:zhaops
 * @time: 2019/5/6 17:37
 */
@Component
public class ConceptDetailFacade {
    @Autowired
    private AiptServiceClient aiptServiceClient;

    /**
     * 获取提示信息
     *
     * @param conceptIntroduceVO
     * @return
     */
    public ConceptIntroduceDTO getConceptDetail(ConceptIntroduceVO conceptIntroduceVO) {
        RespDTO<ConceptIntroduceDTO> res = aiptServiceClient.getConceptDetail(conceptIntroduceVO);
        RespDTOUtil.respNGDeal(res, "获取提示信息失败");
        return res.data;
    }
}