package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description: 体质枚举类型
 * @author: zhoutg
 * @Date: 2018/10/26 10:35
 */
public enum PhysicalTypeEnum implements KeyedNamed {

    mild(1, "平和体质"),
    faint(2, "气虚体质"),
    wet(3, "湿滞体质"),
    heart(4, "心肝火旺体质"),
    stagnant(5, "积滞体质"),
    except(6, "异禀体质");

    @Setter
    private Integer key;

    @Setter
    private String name;

    PhysicalTypeEnum(Integer key, String name) {
        this.key = key;
        this.name = name;
    }

    public static PhysicalTypeEnum getEnum(Integer key) {
        for (PhysicalTypeEnum item : PhysicalTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(Integer key) {
        PhysicalTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
